Bug 147473 - restorecon seg fault in /var/spool/squid
Summary: restorecon seg fault in /var/spool/squid
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-08 12:02 UTC by Tim Fletcher
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: RHBA-2005-254
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 13:08:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
last 50 lines of strace output of restorecon (3.46 KB, text/plain)
2005-02-08 12:03 UTC, Tim Fletcher
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:254 low SHIPPED_LIVE policycoreutils bug fix update 2005-06-09 04:00:00 UTC

Description Tim Fletcher 2005-02-08 12:02:38 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Built squid directories via squid -z or service squid start
2. Run fixfiles -R squid
3. restorecon segfaults, the last line of output being: 

/sbin/restorecon reset context
/var/spool/squid/00:->system_u:object_r:squid_cache_t
  
The command that is running is this:
rpm -q --qf '[%{FILESTATES} %{FILENAMES}\n]' squid | grep ^0 | cut
-f2- -d ' ' | /sbin/restorecon -R -v -f -

Actual results:

Segmentation fault

Expected results:

Context on /var/spool/squid/* set to be system_u:object_r:squid_cache_t

Additional info:

/var/spool/squid is a reiserfs partition (mostly for the additional speed)

Comment 1 Tim Fletcher 2005-02-08 12:03:38 UTC
Created attachment 110790 [details]
last 50 lines of strace output of restorecon

Comment 2 Tim Fletcher 2005-02-08 12:05:03 UTC
I should also note that I am running the current FC3 kernel and I have
updated policy utils / libselinux and policy-targeted to the latest
rawhide versions to no effect

Comment 3 Daniel Walsh 2005-02-08 18:34:34 UTC
reiserfs is not supported with SELinux, but this is triggering a
problem in restorecon, which is fixed in policycoreutils-1.21.13-1

Comment 4 Tim Powers 2005-06-09 13:08:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-254.html



Note You need to log in before you can comment on or make changes to this bug.